Skip to main content
GET
/
api2
/
v1
/
priceLists
/
{priceListUid}
Get price list
curl --request GET \
  --url https://cloud.memsource.com/web/api2/v1/priceLists/{priceListUid} \
  --header 'Authorization: <api-key>'
{
  "name": "<string>",
  "id": "<string>",
  "uid": "<string>",
  "dateCreated": "2023-11-07T05:31:56Z",
  "currencyCode": "<string>",
  "billingUnit": "Character",
  "isDefault": true,
  "priceSets": [
    {
      "sourceLang": "<string>",
      "targetLang": "<string>",
      "minimumPrice": 123,
      "prices": [
        {
          "workflowStep": {
            "id": "<string>",
            "uid": "<string>",
            "name": "<string>",
            "abbr": "<string>",
            "order": 123,
            "lqaEnabled": true
          },
          "price": 123
        }
      ]
    }
  ]
}

Authorizations

Authorization
string
header
required

Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.

Path Parameters

priceListUid
string
required

Response

successful operation

Price list with set of prices for language pairs

name
string
required
id
string
uid
string
dateCreated
string<date-time>
currencyCode
string
billingUnit
enum<string>
Available options:
Character,
Word,
Page,
Hour
isDefault
boolean
priceSets
object[]